Ask Your Question
0

Problem installing program on fedora 23, Qubes Os

asked 2016-12-20 13:35:42 -0500

Hello

I am a beginner with linux, and I'm having some problems installing a program called bluebox-ng on fedora 23.

Here is the link to the program:

https://github.com/jesusprubio/bluebo...

I have installed last Node.js stable version. But when I enter this command in terminal "npm i -g bluebox-ng", I get this error in the middle of the installation:

npm WARN deprecated CSSselect@0.4.1 : the module is now available as 'css-select' npm WARN deprecated CSSwhat@0.4.7 : the module is now available as 'css-what' /home/user/.nvm/versions/node/v7.2.1/bin/bluebox-ng -> /home/user/.nvm/versions/node/v7.2.1/lib/node_modules/bluebox-ng/bin/client.js /home/user/.nvm/versions/node/v7.2.1/lib └─┬ bluebox-ng@1.1.0 ├── libnmap@0.3.8 (git://github.com/jas-/node-libnmap.git#37f6f47ec5f1b9413133cac5c5da27d4307baa50) └── sip-fake-stack@0.0.1 (git://github.com/jesusprubio/sip-fake-stack.git#3adc083495915158ca974522380c88d318a9df3c)

Can someone please be so kind and help me with this?

Best regards, Annika.

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
0

answered 2016-12-20 15:01:23 -0500

sideburns gravatar image

Welcome to ask.fedora, but please understand that all new member are moderated and their posts don't show up until accepted. Please be patient! I see that you're using something called npm here but I presume that that's just a typo for rpm. Also, the messages you're getting are warnings, not errors so the program should have installed. Last, Fedora 23 has passed its End of Life and you might want to consider upgrading to Fedora 24 or 25.

edit flag offensive delete link more

Comments

1

You've never heard of npm? It's the Node.js package manager, it wasn't a typo. Even the output the question asker gave matches them using npm instead of rpm. But yeah, I was gonna say they should upgrade to F24/25.

Brenton Horne gravatar imageBrenton Horne ( 2016-12-21 01:07:08 -0500 )edit

Thank you, I sit corrected. The last time I did any serious programming was long before Java, so no, I hadn't herd of that program.

sideburns gravatar imagesideburns ( 2016-12-21 02:11:10 -0500 )edit

Question Tools

Stats

Asked: 2016-12-20 13:35:42 -0500

Seen: 133 times

Last updated: Dec 20 '16